package top.ninwoo.utils;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
import org.springframework.util.Assert;
import top.ninwoo.common.entity.DockerContainer;
import top.ninwoo.utils.config.DockerConfig;
import top.ninwoo.utils.util.DockerUtils;

/**
 * @Author joliu
 * @Description
 * @Date　Create in 下午5:54 2019/10/25
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = DockerConfig.class)
public class DockerUtilsTest {
    @Autowired
    DockerUtils dockerUtils;

    @Test
    public void testGetDockerById() {
        DockerContainer dockerById = dockerUtils.getDockerById("123123");
        Assert.isNull(dockerById);
    }


    @Test
    public void testExecInDocker() {
        final String s =
                dockerUtils.execInDocker("Router_4", new String[]{"ifconfig"});
        System.out.println(s);
    }
}
